SeExpr

Public Member Functions | Public Attributes | List of all members
ExprSpecScalarNode Struct Reference

`#include <ExprSpecType.h>`

Inheritance diagram for ExprSpecScalarNode:

## Public Member Functions
| ExprSpecScalarNode (int startPos, int endPos, double scalar)
Public Member Functions inherited from ExprSpecNode
| ExprSpecNode (int startPos, int endPos)
virtual | ~ExprSpecNode ()

## Public Attributes
double | v
Public Attributes inherited from ExprSpecNode
int | startPos
int | endPos

## Detailed Description

Definition at line 35 of file ExprSpecType.h.

## Constructor & Destructor Documentation

## ◆ ExprSpecScalarNode()

ExprSpecScalarNode::ExprSpecScalarNode | ( | int | startPos,
|  | int | endPos,
|  | double | scalar
| ) |  |
| inline

Definition at line 38 of file ExprSpecType.h.

## Member Data Documentation

## ◆ v

double ExprSpecScalarNode::v

Definition at line 36 of file ExprSpecType.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprSpecType.h